org.jfree.ui.about

## Class SystemPropertiesTableModel.SystemPropertyComparator

- java.lang.Object
- - org.jfree.ui.about.SystemPropertiesTableModel.SystemPropertyComparator

- All Implemented Interfaces:
    java.util.Comparator
  Enclosing class:
    SystemPropertiesTableModel

      protected static class SystemPropertiesTableModel.SystemPropertyComparator
      extends java.lang.Object
      implements java.util.Comparator

  A class for comparing SystemProperty objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemPropertyComparator(boolean ascending)` Standard constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares two objects.
    `boolean` | `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
    `int` | `hashCode()` Returns a hash code value for the object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### SystemPropertyComparator

          public SystemPropertyComparator(boolean ascending)

      Standard constructor.
      Parameters:
        `ascending` - a flag that controls the sort order (ascending or descending).

  - ### Method Detail

    - #### compare

          public int compare(java.lang.Object o1,
                             java.lang.Object o2)

      Compares two objects.
      Specified by:
        `compare` in interface `java.util.Comparator`
      Parameters:
        `o1` - the first object.
        `o2` - the second object.
      Returns:
        an integer that indicates the relative order of the objects.

    - #### equals

          public boolean equals(java.lang.Object o)

      Returns `true` if this object is equal to the specified object, and `false` otherwise.
      Specified by:
        `equals` in interface `java.util.Comparator`
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the other object.
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the hashcode